#
# spec file for package perl-Class-C3
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Class-C3
Version:        0.35
Release:        1.20
%define cpan_name Class-C3
Summary:        Pragma to use the C3 method resolution order algorithm
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Algorithm::C3) >= 0.07
Requires:       perl(Algorithm::C3) >= 0.07
%{perl_requires}

%description
This is pragma to change Perl 5's standard method resolution order from
depth-first left-to-right (a.k.a - pre-order) to the more sophisticated C3
method resolution order.

*NOTE:* YOU SHOULD NOT USE THIS MODULE DIRECTLY - The feature provided is
integrated into perl version >= 5.9.5, and you should use MRO::Compat
instead, which will use the core implementation in newer perls, but
fallback to using this implementation on older perls.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Tue Nov 10 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.35
  see /usr/share/doc/packages/perl-Class-C3/Changes
  0.35 - 2020-11-09
  - update bundled ExtUtils::HasCompiler to 0.022
  - support PUREPERL_ONLY environment variable during installation
  - fix no-XS test to not require newer Test::More that declared prereq
  - drop optional Devel::Hide prereq
* Fri Apr 20 2018 coolo@suse.com
- updated to 0.34
  see /usr/share/doc/packages/perl-Class-C3/Changes
  0.34 - 2018-04-19
  - update bundled ExtUtils::HasCompiler to 0.021
  - fix some examples in pod
* Tue Apr 25 2017 coolo@suse.com
- updated to 0.33
  see /usr/share/doc/packages/perl-Class-C3/Changes
  0.33 - 2017-04-23
  - update bundled ExtUtils::HasCompiler to 0.017
  - moved repository to Moose GitHub org
  - avoid using base.pm in tests (RT#120530)
  - minor pod and test cleanups
* Fri Sep 16 2016 coolo@suse.com
- updated to 0.32
  see /usr/share/doc/packages/perl-Class-C3/Changes
  0.32 - 2016-09-15
  - update bundled ExtUtils::HasCompiler to 0.016
* Sat May 28 2016 coolo@suse.com
- updated to 0.31
  see /usr/share/doc/packages/perl-Class-C3/Changes
  0.31 - 2016-04-19
  - update bundled ExtUtils::HasCompiler to 0.013 to fix possible false
    negative (RT#113635)
* Wed Oct 21 2015 coolo@suse.com
- updated to 0.30
  see /usr/share/doc/packages/perl-Class-C3/Changes
  0.30 - 2015-10-19
  - include ExtUtils::HasCompiler in dist as intended so it doesn't need to
    be installed
  0.29 - 2015-10-18
  - Update compiler detection to use ExtUtils::HasCompiler
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.28
  see /usr/share/doc/packages/perl-Class-C3/Changes
  0.28 - 2015-04-14
  - Change link to Dylan paper to use archive.org, as the original link has
    gone offline (RT#99756).
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.27
  see /usr/share/doc/packages/perl-Class-C3/Changes
* Fri Mar  7 2014 coolo@suse.com
- updated to 0.26
  - Fix bug in Makefile.PL when ExtUtils::CBuilder not available
* Fri Jul 26 2013 coolo@suse.com
- updated to 0.25
  - Drop compatibility from 5.6.2 to 5.6.0
  - Pod typo fixes (RT#77453, RT#85357)
  - Only ask for Devel::Hide on perls where it will be actually used
    (RT#81106)
  - Fix SYNOPSIS to actually be executable (RT#78327)
* Mon Jun  3 2013 coolo@suse.com
- updated to 0.24
  - Require Class::C3::XS on 5.8 perls if a working compiler is found
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Nov 11 2010 chris@computersalat.de
- update to 0.23
  - Fix various documentation problems (Martin Becker).
- 0.22 Fri, Jan 29, 2010
  - Add note that people should be using MRO::Compat rather than
    Class::C3 directly.
- 0.21 Wed, Mar 25, 2009
  - Remove fake Build.PL. Module::Install doesn't support that anymore.
    (Florian Ragwitz)
  - Stop using auto_instal in Makefile.PL. Its use is strongly discouraged.
    (Closes RT#38051, RT#44541) (Simon Bertrang)
- 0.20 Mon, Dec 8, 2008
  - Prevent redefined warnings when Class::C3 is loaded explicitly after
    MRO::Compat has been loaded. Also add tests for this.
- fix deps
- noarch pkg
* Sun Oct 26 2008 gerrit.beine@gmx.de
- first release 0.19
